Projects
Create a project
Create a new project within an organization.
POST
/
v1
/
organizations
/
{org_id}
/
projects
Create a project
curl --request POST \
--url https://api.example.com/v1/organizations/{org_id}/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"keywords": [
"<string>"
],
"location_code": 123,
"language_code": "<string>",
"search_engine": "google",
"competitors": [
"<string>"
],
"settings": {}
}
'import requests
url = "https://api.example.com/v1/organizations/{org_id}/projects"
payload = {
"name": "<string>",
"domain": "<string>",
"keywords": ["<string>"],
"location_code": 123,
"language_code": "<string>",
"search_engine": "google",
"competitors": ["<string>"],
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
keywords: ['<string>'],
location_code: 123,
language_code: '<string>',
search_engine: 'google',
competitors: ['<string>'],
settings: {}
})
};
fetch('https://api.example.com/v1/organizations/{org_id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"location_code": 2840,
"language_code": "en",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Request body for creating a new project.
Human-readable project name
Required string length:
2 - 255Root domain being tracked (e.g., 'example.com')
Required string length:
3 - 255Initial keywords to track (at least 1 required)
Minimum array length:
1DataForSEO location code (e.g. 2840 = United States)
Language code for keyword tracking (e.g. 'en', 'de', 'fr')
Maximum string length:
10Search engine for rank tracking (e.g. 'google', 'bing', 'yahoo')
Maximum string length:
20Optional competitor domains to track
Optional project-specific settings (e.g., target location, language)
⌘I
Create a project
